Subject: ** The Perl Journal **
From: [email-masked] (Jon Orwant)
Date: 28 Apr 1997 00:17:27 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

The Perl Journal is a quarterly, printed magazine
		     devoted to All Things Perl.

			    http://tpj.com

       Issue #6 is speeding toward press, and will be mailed in
	mid-late June.  Now would be a good time to subscribe
	    if you want to receive it hot off the presses.

Some heartfelt testimonials:

     "It is the most useful technical publication I have seen." 
                                                              -Lisa Nyman 

     "TPJ is the most consistently relevant, content-rich publication
      I get, and I get a pile of them. You folks do a great job." 
                                                              -John Bazik 

     "Do yourself a favor and subscribe." 

                                                      -SunExpert magazine

     "...a really hot magazine..."
						     -HotWired, in Packet

     "My first issue of The Perl Journal (vol 1 issue 2) is the best 
      single issue of a technical journal I have read."
						  	   -Andrew Duncan

     "The Perl Journal outsells WiReD here."
                                          -Quantum Books of Cambridge, MA

Prices: $18 U.S., $25 international.  Back issues are $7 ($9 non-U.S.)
and are first-class/air-mail so you get 'em quick.  

	 *** Order online at http://tpj.com/tpj/ordering. ***

All back issues are available (totalling 192 pages for all five)
and when you order four issues, get the fifth free!  

TPJ accepts checks, money orders, VISA, and MasterCard, but
operates on *prepayment only* -- we have neither the time nor
the money to send out individual invoices.  There's an order form at 
http://tpj.com/tpj/subscription_form for postal orders.  Our address:

			   The Perl Journal
			     P.O. Box 54
			   Boston MA 02101
				 USA

Enjoy the magazine, and a big thank you to all subscribers, authors,
and advertisers for their support!

-Jon

----------------
Jon Orwant
The Perl Journal
http://tpj.com

		      Complete Table of Contents

Issue #6 (tentative):

     The First Annual Obfuscated Perl Contest
     Randomness, Part Two
     Using the AutoLoader and AutoSplit modules
     Perl/Tk: A Tour of the Nonstandard Widgets
     CGI and the Web: Computing Coolness
     Just the FAQs: Sorting Tutorial
     Making Your Own Sundials with Perl
     WebClip: Gathering Data from the Web
     A Perl in the Oil Patch
     Object Oriented Programming
     3-D Graphics and Perl
     Perl News / New Modules
     Information Retrieval and What "pack 'w'" is For

Issue #5 

     Programming like you mean it: Pattern Languages
     In Sync With Your Data (Understanding Regular Expressions)
     DBI - The Database Interface for Perl 5
     Perl/Tk: Signals, Sockets, and Pipes
     Creating Surreal HTML Pages With The Mangler
     Perl News / New Modules
     Perl and the X protocol
     PDL: The Perl Data Language
     Perl And Nuclear Weapons Don't Mix

Issue #4:		

     A Subjective Look at Object Oriented Programming
     Best of Both Worlds: Embedding Perl in C
     The LWP Library: CGI Programming
     use Lovecraft qw(cthulhu necronomicon)
     New Modules
     Randomness
     Understanding Regular Expressions
     The Grid Geometry Manager: Perl/Tk Programming
     The Perl Purity Test
     Using Usenet from Perl

Issue #3:

     Data Hiding
     Perl, Politics, and Pairwise Voting
     CGI Scripts and Cookies
     Penguin: The First Tentative Waddle
     New Modules
     Perl/Tk: Events and Other Things
     FTP: File Transfer Using Perl
     Understanding Regular Expressions
     The Perl Institute
     Obfuscated Perl Contest Results

Issue #2:

     How Perl Saved The Human Genome Project
     The Perl Compiler
     Penguin: Java Done Right
     MacPerl
     Perl And The Tk Toolkit: The Mouse Odometer
     Saving State with CGI.pm
     Understanding Regular Expressions
     Results of the Prisoner's Dilemma
     The Zeroth Obfuscated Perl Contest

Issue #1:

     Wherefore Art, Thou?
     Perl And The Tk Toolkit
     Creating, Processing, And Sending Mail From Perl
     HTML Hacking with Regular Expressions
     Programming For The Web: CGI.pm
     The Prisoner's Dilemma